Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1342511 - Initial Setup services should not be listed in the 90-epel.preset file
Summary: Initial Setup services should not be listed in the 90-epel.preset file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: epel-release
Version: epel7
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Michael Stahnke
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-03 12:06 UTC by Martin Kolman
Modified: 2016-06-21 21:49 UTC (History)
5 users (show)

Fixed In Version: epel-release-7-7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-21 21:49:27 UTC
Type: Bug


Attachments (Terms of Use)
a proposed patch for removing Initial Setup services from the preset file (946 bytes, patch)
2016-06-03 12:16 UTC, Martin Kolman
no flags Details | Diff

Description Martin Kolman 2016-06-03 12:06:08 UTC
Description of problem:
The Initial Setup services (initial-setup-text.service and initial-setup-graphical.service) are still listed in the EPEL systemd preset file (
90-epel.preset). This is no longer correct as Anaconda now makes sure to enable the correct Initial Setup services during the installation.

The preset could actually be harmful as it might lead to Initial Setup being enabled even if the package has just been installed by accident during the installation (eq. dragged in by a package group), interrupting the normal boot procedure.

For this reason the Initial Setup presets have already been removed from the 90-default.preset file owned by redhat-release and the same thing should be done with the 90-epel.preset file.

Version-Release number of selected component (if applicable):

# rpm -qf 90-epel.preset 
epel-release-7-6.noarch

How reproducible:
always

Steps to Reproduce:
# cat /usr/lib/systemd/system-preset/90-epel.preset | grep initial-setup

Actual results:
enable initial-setup-graphical.service
enable initial-setup-text.service

Expected results:
Nothing is returned as the file does not list the Initial Setup services.

Comment 1 Martin Kolman 2016-06-03 12:16:23 UTC
Created attachment 1164458 [details]
a proposed patch for removing Initial Setup services from the preset file

Attaching a proposed patch.

Comment 2 Fedora Update System 2016-06-03 13:56:17 UTC
epel-release-7-7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-a0e1379005

Comment 3 Kevin Fenzi 2016-06-03 13:57:05 UTC
Applied, thanks.

Comment 4 Fedora Update System 2016-06-05 07:51:27 UTC
epel-release-7-7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-a0e1379005

Comment 5 Fedora Update System 2016-06-21 21:49:25 UTC
epel-release-7-7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.